#!/usr/bin/env python
#
# file: $NEDC_NFC/src/python/util/imld.py
#
# file: imld.py
#
# revision history:
#
# 20240118 (SM): update features for v3.0.0 release
# 20200707 (LV): added missing functions, overhauled modules
# 20200305 (SJ): first version
#
# This file contains the main function of the ISIP Machine Learning Demo (IMLD)
# software.
#------------------------------------------------------------------------------

# import system modules
#
import os
import sys
import logging
from PyQt5 import QtGui, QtWidgets, QtCore

# import local modules:
#
import imld_gui_events as ige
import imld_gui_window as igw

#------------------------------------------------------------------------------
#                                                                        
# functions are listed here                                                
#                                                                            
#------------------------------------------------------------------------------

def main():

    # create Qt boilerplate which performs event
    # handling, cursor handling and manages the application
    #
    app = QtWidgets.QApplication([])

    # create an event handler instance
    #
    handler = ige.EventHandler()

    # loop until an event is generated
    #
    app.exec_()

    # clean up and exit gracefully
    #
    sys.exit(0)

# begin gracefully
#
if __name__ == "__main__":

    #**> log all events that meet INFO level of severity
    #
    logging.basicConfig(level='INFO')

    # invoke the main program
    #
    main()
#
# end of file
